[unixODBC-support] Conflicting types betweenpostgres andunixodbc

Nick Gorham nick at lurcher.org
Mon Mar 30 10:24:49 BST 2009


Raul Orduna wrote:

>I had and error in the sed command. I fix the problem (one extra space in ...s//WITH...) and I finally build without errors. The first of all, thank you very much.
>
>
>
>Now I try to test and now the error was that isql don't work. In the logs the error seems that the driver don't find other library of pgsql.
>"/usr/local/pgsql/lib/libpq.so.5.1"
>
>I check the privileges and I put the postgres lib directory in the path but the error is the same.
>
>Any idea? With this driver is always necessary to intall a postgresql service??
>
>(Note: In odbcinst.ini I deleted the setup line, because I don't find a similar file in the directory of the new driver)
>
>Raúl
>
>
>  
>
Ahh, yes, you will need the postgres runtime lib.

I would think its on your system or the client wouldn't build, try:

export LD_LIBRARY_PATH=/usr/local/pgsql/lib/

before running isql (you can add it to the ENV list in the oracle setup 
if needed.

-- 
Nick


More information about the unixODBC-support mailing list